# Use old cmake macro behaviour.
%define __cmake_in_source_build 1

Name: belle-sip
Version: 5.2.45
Release: 2%{?dist}
Summary: Linphone SIP stack
License: GPL-3.0-or-later

URL: https://gitlab.linphone.org/BC/public/belle-sip/

Source0: https://gitlab.linphone.org/BC/public/belle-sip/-/archive/%{version}/%{name}-%{version}.tar.bz2

# Patches.
Patch00: 0001_belle_sip_set_current_version.patch

BuildRequires: antlr3-tool
BuildRequires: antlr3-C-devel
BuildRequires: cmake >= 3.2
BuildRequires: gcc-c++
BuildRequires: mbedtls-devel
BuildRequires: pkgconfig(bctoolbox)
BuildRequires: pkgconfig(belr)
BuildRequires: pkgconfig(zlib)

# Only build on arches with java.
ExclusiveArch: %{java_arches}

%description
Belle-sip is an object oriented C written SIP stack used by Linphone.

%package devel
Summary: Development libraries for belle-sip
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and headers required to develop software with belle-sip.

%prep
%autosetup -p1

%build
cmake . \
  -DCMAKE_INSTALL_PREFIX:PATH=/usr \
  -DCMAKE_SKIP_INSTALL_RPATH=ON \
  -DENABLE_STATIC=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE.txt
%{_libdir}/libbellesip.so.1*

%files devel
%doc AUTHORS.md CHANGELOG.md README.md
%{_bindir}/belle_sip_tester
%{_datadir}/belr/grammars/sdp_grammar
%{_datadir}/belle_sip_tester/
%{_includedir}/belle-sip/
%{_libdir}/cmake/BelleSIP/
%{_libdir}/libbellesip.so
%{_libdir}/pkgconfig/belle-sip.pc

%changelog
* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 02 2023 Phil Wyett <philip.wyett@kathenas.org> - 5.2.45-1
- New upstream version 5.2.45.
- Use cmake build system.
- Update license to GPL-3.0-or-later.
- Use upstream tar.bz2 compressed archive.
- Rework spec file.

* Wed Jan 18 2023 Florian Weimer <fweimer@redhat.com> - 1.4.2-17
- Fix new GCC 13 warnings

* Fri Aug  5 2022 Jerry James <loganjerry@gmail.com> - 1.4.2-16
- Remove i686 support due to lack of a JDK

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 27 2019 Stuart Gathman <stuart@gathman.org> - 1.4.2-9
- Fix call to deprecated readdir_r
- Fix other compiler warnings

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Alexey Kurov <nucleo@fedoraproject.org> - 1.4.2-2
- Fix typo in comparison code (patch from bug #1050744)

* Sat Nov  7 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.4.2-1
- belle-sip-1.4.2

* Sat Sep 19 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.4.1-2
- disabled TLS for F23+ (mbedtls 2 incompatible)

* Fri Sep  4 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.4.1-1
- belle-sip-1.4.1
- removed atlr3 3.4 SOURCE1
- added patch with files generated by antlr-3.4-complete.jar
- BR: mbedtls-devel instead of polarssl-devel

* Sun Feb 15 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.4.0-1
- belle-sip-1.4.0
- update Source0 URL
- use %%license macro

* Sun Feb 15 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.3-1
- belle-sip-1.3.3
- added atlr3 3.4 SOURCE1
- License: GPLv2+ and BSD and BSD with advertising and MIT
- Provides: bundled(md5-deutsch) = 1.6

* Fri Feb 21 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.0-1
- belle-sip-1.3.0
- revert fix FSF address in COPYING

* Sat Jan 18 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.4-3
- License: GPLv2+
- fix FSF address in COPYING

* Sun Jan 12 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.4-2
- add %%{?_isa} in -devel Requires
- add verbose option to autoreconf
- verbose build output

* Thu Jan  9 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.4-1
- Initial RPM release
